/// <reference types="node" />
export interface EncryptionSettings {
    encryptionIvLength: number;
    encryptionKeyDigest: string;
    encryptionKeyIterations: number;
    encryptionKeyLength: number;
    encryptionKeySalt: number[];
    keycodeFormat: RegExp;
    messageBlockSize: number;
    messageTerminator: string;
}
export declare class LGEncryption {
    private settings;
    private derivedKey;
    constructor(keycode: string, settings?: {
        encryptionIvLength: number;
        encryptionKeyDigest: string;
        encryptionKeyIterations: number;
        encryptionKeyLength: number;
        encryptionKeySalt: number[];
        keycodeFormat: RegExp;
        messageBlockSize: number;
        messageTerminator: string;
        networkPort: number;
        networkTimeout: number;
        networkWolAddress: string;
        networkWolPort: number;
    });
    private prepareMessage;
    encrypt(message: string): Buffer;
    decrypt(cipher: Buffer): string;
}
//# sourceMappingURL=LGEncryption.d.ts.map