import { Apps, EnergySavingLevels, Inputs, Keys, PictureModes } from '../constants/TV.js';
import { LGEncryption } from './LGEncryption.js';
import { TinySocket } from './TinySocket.js';
export declare class LGTV {
    encryption: LGEncryption;
    socket: TinySocket;
    constructor(host: string, macAddress: string | null, keycode: string, settings?: {
        encryptionIvLength: number;
        encryptionKeyDigest: string;
        encryptionKeyIterations: number;
        encryptionKeyLength: number;
        encryptionKeySalt: number[];
        keycodeFormat: RegExp;
        messageBlockSize: number;
        messageTerminator: string;
        networkPort: number;
        networkTimeout: number;
        networkWolAddress: string;
        networkWolPort: number;
    });
    private sendCommand;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    getCurrentApp(): Promise<string>;
    getCurrentVolume(): Promise<string>;
    getIpControlState(): Promise<string>;
    getMacAddress(type: 'wired' | 'wifi'): Promise<string>;
    getMuteState(): Promise<string>;
    powerOff(): Promise<string>;
    launchApp(name: Apps | string): Promise<string>;
    setPictureMode(mode: PictureModes): Promise<string>;
    powerOn(): void;
    sendKey(key: Keys): Promise<string>;
    setEnergySaving(level: EnergySavingLevels): Promise<string>;
    setInput(input: Inputs): Promise<string>;
    setVolume(volumeLevel: number): Promise<string>;
    setVolumeMute(isMuted: boolean): Promise<string>;
}
//# sourceMappingURL=LGTV.d.ts.map